package eu.mhsl.minenet.minigames.command.privileged;

import eu.mhsl.minenet.minigames.message.type.ChatMessage;
import eu.mhsl.minenet.minigames.message.Icon;
import net.minestom.server.command.builder.Command;
import net.minestom.server.entity.Player;

public class UpdateCommand extends Command {
    public UpdateCommand() {
        super("update");

        setCondition((sender, commandString) -> sender.hasPermission("admin"));

        setDefaultExecutor((sender, context) -> {
            ((Player) sender).refreshCommands();
            new ChatMessage(Icon.SUCCESS).appendStatic("Updated command syntax!").send(sender);
        });
    }
}
