package eu.mhsl.minenet.minigames.message.type;

import eu.mhsl.minenet.minigames.message.Icon;
import eu.mhsl.minenet.minigames.message.TranslatableMessage;
import net.minestom.server.entity.Player;

public class ChatMessage extends TranslatableMessage {
    public ChatMessage(Icon icon) {
        super.appendStatic("  ");
        pipe();
        super.appendStatic("\n");
        appendStatic(icon.getComponent());
        pipe();
    }

    public ChatMessage() {
        appendStatic(Icon.CHAT.getComponent());
        pipe();
    }

    @Override
    public TranslatableMessage newLine() {
        super.appendStatic("\n");
        super.appendStatic("  ");
        super.pipe();
        super.appendStatic("  ".repeat(super.indention));
        return this;
    }

    public void send(Player p) {
        p.sendMessage(build(p));
    }
}
