package eu.mhsl.minenet.minigames.command.privileged;

import net.minestom.server.command.builder.Command;
import net.minestom.server.command.builder.arguments.ArgumentEnum;
import net.minestom.server.command.builder.arguments.ArgumentType;
import net.minestom.server.entity.GameMode;
import net.minestom.server.entity.Player;

public class GamemodeCommand extends Command {
    public GamemodeCommand() {
        super("gamemode", "gm");

        setCondition((sender, commandString) -> sender.hasPermission("admin"));

        addSyntax((sender, context) -> ((Player) sender).setGameMode(
                context.get("target")),
                ArgumentType.Enum("target", GameMode.class).setFormat(ArgumentEnum.Format.LOWER_CASED)
        );
    }
}
